## grantlee-editor 16.12.3

=== CMakeLists.txt ===
project(grantlee-editor)

cmake_minimum_required(VERSION 3.1)
set(KF5_VERSION "5.28.0")
find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()


set(KDEPIM_VERSION_NUMBER "5.4.3")
set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

set(MESSAGELIB_LIB_VERSION_LIB "5.4.3")
set(AKONADI_MIMELIB_VERSION "5.4.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.4.3")
set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5")
set(KDEPIM_APPS_LIB_VERSION_LIB "5.4.3")
set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.4.3")
set(LIBKLEO_LIB_VERSION_LIB "5.4.3")
set(QT_REQUIRED_VERSION "5.6.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)

set(PIMCOMMON_LIB_VERSION_LIB "5.4.3")
set(LIBKDEPIM_LIB_VERSION_LIB "5.4.3")
# Find KF5 package
find_package(KF5Crash ${KF5_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5TextEditor ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION_LIB} CONFIG REQUIRED)

# Find KdepimLibs Package
find_package(KF5KaddressbookGrantlee ${KDEPIM_APPS_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)


find_package(KF5SyntaxHighlighting ${KF5_VERSION} CONFIG REQUIRED)


add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)

add_subdirectory(headerthemeeditor)
add_subdirectory(contactthemeeditor)
add_subdirectory(grantleethemeeditor)
add_subdirectory(contactprintthemeeditor)

install( FILES grantleeditor.renamecategories grantleeditor.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
grantlee-editor (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ Clive Johnston ]
  * Initial split of grantlee-editor from kdepim

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * New upstream release (16.12.1)
  * Add qtpositioning5-dev to build deps

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)
  * Update copyright file

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:44 +0100

kdepim (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Attempt to fix fuzz in kubuntu_debianize_akregator_feed 
  * Another attempt at de-fuzzing patch. 
  * Stop trying to fix and recreated kubuntu_debianize_akregator_default.diff 
  * I don't know what the ignore file is suppose to do, but it is not
    ingnoring. We are failing at the debian patch we do not want. Removing
    from series file. 
  * Add dh_fixperms for two executable desktop files. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:16:10 -0700

kdepim (4:15.12.1-1ubuntu6) xenial; urgency=medium

  * So that didn't actually prevent the tests from running, so remove the
    whole testsetup 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 12 Mar 2016 20:44:27 +0100

kdepim (4:15.12.1-1ubuntu5) xenial; urgency=medium

  * Disable Autopkgtests as the tests don't pass upstream either 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 12 Mar 2016 15:00:17 +0100

kdepim (4:15.12.1-1ubuntu4) xenial; urgency=medium

  * Add missing epoch ktnef build dep. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 19:20:30 -0800

kdepim (4:15.12.1-1ubuntu3) xenial; urgency=medium

  * Add missing epoch for kcontacts build deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 19:03:37 -0800

kdepim (4:15.12.1-1ubuntu2) xenial; urgency=medium

  * Fix epochs on build deps. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 15:40:37 -0800

kdepim (4:15.12.1-1ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: Remaining changes:
    Kept all breaks and replaces. 
  * Add missing files. Fix spelling error in control. 
  * Trigger rebuild, no changes. 

  [ Clive Johnston ]
  * Removing etc/xdg catchall in kmail.install
  * Adding two missing files to kmail.install 

  [ Scarlett Clark ]
  * Bump build dependencies version for pim*. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:38:55 +0100

kdepim (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:56 +0100

kdepim (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release 

  [ Scarlett Clark ]
  * Add version requirement to kpimtextedit build dep. 
  * Add version requirements for akonadi* 

 -- Clive Johnston <clivejo@aol.com>  Sun, 03 Jan 2016 00:22:46 +0000

kdepim (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

  [ Sandro Knauß ]
  * Update description for kmail. (Closes: #623342)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:04 +0100

kdepim (4:15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:58 +0200

kdepim (4:15.08.2-0ubuntu2) UNRELEASED; urgency=medium

  * Drop spambayes.patch, plugin moved to kdepim-addons
  * Update install files

 -- Rohan Garg <rohan@kde.org>  Mon, 14 Dec 2015 16:23:20 +0100

kdepim (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release. 
  * Reset branch to revert all ABI changes. 
  * Fix merge after reset. 
  * batchpatch symbols. Per sitter libmessagviewer
    ABI break does not warrent soversion twiddling.  
  * Fix merge again. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 10 Oct 2015 02:40:23 -0700

kdepim (4:15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).
  * Drop symbols files, please add them back if there is an ABI to maintain.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:22 +0200

kdepim (4:15.08.1-0ubuntu4) wily; urgency=medium

  * Make everything that isn't a lib depend on kdepim-runtime which provides
    runtime assets necessary for correct operation of kdepim.

 -- Harald Sitter <sitter@kde.org>  Wed, 07 Oct 2015 16:29:40 +0200

kdepim (4:15.08.1-0ubuntu3) wily; urgency=medium

  * Update symbols files.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Sep 2015 15:13:27 +0200

kdepim (4:15.08.1-0ubuntu2) wily; urgency=medium

  * No change rebuild against newer kdepimlibs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Sep 2015 10:10:31 +0100

kdepim (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Updated symbols files for i386 and amd64
  * Removed MISSING symbols
  * Update install files

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 17:26:47 +0100

kdepim (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.08.0).
  * Update symbols files.
  * Add missing Breaks/Replaces.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 13 Sep 2015 22:06:59 +0200

kdepim (4:15.08.0-0ubuntu3) UNRELEASED; urgency=medium

  * Asterick cannot be used in not-installed. Fixing
    the mass list-missing errors. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Sep 2015 10:21:57 +0200

kdepim (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Update testsuite.xsession for kf5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Sep 2015 11:49:09 +0100

kdepim (4:15.08.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Harald Sitter ]
  * Resolve a million lintian problems

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Aug 2015 12:58:16 +0100



=== debian/control ===
Source: grantlee-editor
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgrantlee5-dev (>= 5.0.0~),
               libkf5akonadi-dev (>= 4:16.12.3~),
               libkf5akonadimime-dev (>= 4:16.12.3~),
               libkf5akonadiserver-dev (>= 4:16.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 16.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kaddressbookgrantlee-dev (>= 4:16.12.3~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:16.12.3~),
               libkf5libkleo-dev (>= 4:16.12.3~),
               libkf5messagecomposer-dev (>= 4:16.12.3~),
               libkf5messagecore-dev (>= 4:16.12.3~),
               libkf5messagelist-dev (>= 4:16.12.3~),
               libkf5messageviewer-dev (>= 4:16.12.3~),
               libkf5mimetreeparser-dev (>= 4:16.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:16.12.3~),
               libkf5pimtextedit-dev (>= 16.12.3~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:16.12.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:16.12.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor

Package: kdepim-themeeditors
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kaddressbook (<< 4:15),
        kdepim-doc (<= 4:16.08.0+p16.04+git201609),
        kmail (<< 4:4.14.3),
        libkf5libkdepim5 (<= 4:16.04)
Replaces: kaddressbook (<< 4:15),
          kdepim-doc (<= 4:16.08.0+p16.04+git201609),
          kmail (<< 4:4.14.3),
          libkf5libkdepim5 (<= 4:16.04)
Suggests: kaddressbook, kmail
Description: Theme Editors for KDE PIM applications
 KDE PIM Theme Editors allow you to create and edit various KDE themes for
 KDE PIM software such as KMail and KAddressBook.
 .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## grantlee-editor 17.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(grantlee-editor)
 
 cmake_minimum_required(VERSION 3.1)
-set(KF5_VERSION "5.28.0")
+set(KF5_VERSION "5.32.0")
 find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -22,7 +22,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
-
+include(ECMCoverageOption)
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION )
 
@@ -32,41 +32,40 @@
 endif()
 
 
-set(KDEPIM_VERSION_NUMBER "5.4.3")
+set(KDEPIM_VERSION_NUMBER "5.5.3")
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
-set(MESSAGELIB_LIB_VERSION_LIB "5.4.3")
-set(AKONADI_MIMELIB_VERSION "5.4.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.4.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.5.3")
+set(AKONADI_MIMELIB_VERSION "5.5.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.5.3")
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.4.3")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.4.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.4.3")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.5.3")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.5.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.5.3")
 set(QT_REQUIRED_VERSION "5.6.0")
+set(KIMAP_LIB_VERSION "5.5.3")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
-set(PIMCOMMON_LIB_VERSION_LIB "5.4.3")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.4.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.5.3")
 # Find KF5 package
 find_package(KF5Crash ${KF5_VERSION} REQUIRED)
 find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5DocTools ${KF5_VERSION} REQUIRED)
 find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5TextEditor ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5NewStuff ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
+find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
 find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION_LIB} CONFIG REQUIRED)
+find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
 
 # Find KdepimLibs Package
 find_package(KF5KaddressbookGrantlee ${KDEPIM_APPS_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
 
 
 find_package(KF5SyntaxHighlighting ${KF5_VERSION} CONFIG REQUIRED)
@@ -90,3 +89,7 @@
 
 add_subdirectory(doc)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()

=== debian/changelog ===
grantlee-editor (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:04 +0100

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:16.12.3~),
-               libkf5akonadimime-dev (>= 4:16.12.3~),
-               libkf5akonadiserver-dev (>= 4:16.12.3~),
+               libkf5akonadi-dev (>= 4:17.04.3~),
+               libkf5akonadimime-dev (>= 4:17.04.3~),
+               libkf5akonadiserver-dev (>= 4:17.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
@@ -31,33 +31,33 @@
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 16.12.3~),
+               libkf5grantleetheme-dev (>= 17.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kaddressbookgrantlee-dev (>= 4:16.12.3~),
+               libkf5kaddressbookgrantlee-dev (>= 4:17.04.3~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:16.12.3~),
-               libkf5libkleo-dev (>= 4:16.12.3~),
-               libkf5messagecomposer-dev (>= 4:16.12.3~),
-               libkf5messagecore-dev (>= 4:16.12.3~),
-               libkf5messagelist-dev (>= 4:16.12.3~),
-               libkf5messageviewer-dev (>= 4:16.12.3~),
-               libkf5mimetreeparser-dev (>= 4:16.12.3~),
+               libkf5libkdepim-dev (>= 4:17.04.3~),
+               libkf5libkleo-dev (>= 4:17.04.3~),
+               libkf5messagecomposer-dev (>= 4:17.04.3~),
+               libkf5messagecore-dev (>= 4:17.04.3~),
+               libkf5messagelist-dev (>= 4:17.04.3~),
+               libkf5messageviewer-dev (>= 4:17.04.3~),
+               libkf5mimetreeparser-dev (>= 4:17.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:16.12.3~),
-               libkf5pimtextedit-dev (>= 16.12.3~),
+               libkf5pimcommon-dev (>= 4:17.04.3~),
+               libkf5pimtextedit-dev (>= 17.04.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:16.12.3~),
+               libkf5templateparser-dev (>= 4:17.04.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:16.12.3~),
+               libkf5webengineviewer-dev (>= 4:17.04.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
@@ -92,11 +92,13 @@
 Breaks: kaddressbook (<< 4:15),
         kdepim-doc (<= 4:16.08.0+p16.04+git201609),
         kmail (<< 4:4.14.3),
-        libkf5libkdepim5 (<= 4:16.04)
+        libkf5libkdepim5 (<= 4:16.04),
+        ${kde-l10n:all}
 Replaces: kaddressbook (<< 4:15),
           kdepim-doc (<= 4:16.08.0+p16.04+git201609),
           kmail (<< 4:4.14.3),
-          libkf5libkdepim5 (<= 4:16.04)
+          libkf5libkdepim5 (<= 4:16.04),
+          ${kde-l10n:all}
 Suggests: kaddressbook, kmail
 Description: Theme Editors for KDE PIM applications
  KDE PIM Theme Editors allow you to create and edit various KDE themes for

## grantlee-editor 17.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(grantlee-editor)
 
 cmake_minimum_required(VERSION 3.1)
-set(KF5_VERSION "5.32.0")
+set(KF5_VERSION "5.35.0")
 find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -32,22 +32,22 @@
 endif()
 
 
-set(KDEPIM_VERSION_NUMBER "5.5.3")
+set(KDEPIM_VERSION_NUMBER "5.6.3")
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
-set(MESSAGELIB_LIB_VERSION_LIB "5.5.3")
-set(AKONADI_MIMELIB_VERSION "5.5.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.5.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.6.3")
+set(AKONADI_MIMELIB_VERSION "5.6.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.6.3")
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.5.3")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.5.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.5.3")
-set(QT_REQUIRED_VERSION "5.6.0")
-set(KIMAP_LIB_VERSION "5.5.3")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.6.3")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.6.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.6.3")
+set(QT_REQUIRED_VERSION "5.7.0")
+set(KIMAP_LIB_VERSION "5.6.3")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
-set(PIMCOMMON_LIB_VERSION_LIB "5.5.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.6.3")
 # Find KF5 package
 find_package(KF5Crash ${KF5_VERSION} REQUIRED)
 find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
@@ -75,8 +75,10 @@
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 include_directories(${grantlee-editor_SOURCE_DIR} ${grantlee-editor_BINARY_DIR})
 
-add_definitions( -DQT_NO_CAST_FROM_ASCII )
-add_definitions( -DQT_NO_CAST_TO_ASCII )
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
+add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 
 configure_file(grantleeeditor-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/grantleeeditor-version.h @ONLY)

=== debian/changelog ===
grantlee-editor (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:40 +0000

=== debian/control ===
--- 
+++ 
@@ -17,47 +17,48 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
-               libkf5akonadiserver-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.08.3~),
+               libkf5akonadimime-dev (>= 4:17.08.3~),
+               libkf5akonadiserver-dev (>= 4:17.08.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
+               libkf5contacteditor-dev (>= 4:17.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 17.04.3~),
+               libkf5grantleetheme-dev (>= 17.08.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kaddressbookgrantlee-dev (>= 4:17.04.3~),
+               libkf5kaddressbookgrantlee-dev (>= 4:17.08.3~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5libkleo-dev (>= 4:17.04.3~),
-               libkf5messagecomposer-dev (>= 4:17.04.3~),
-               libkf5messagecore-dev (>= 4:17.04.3~),
-               libkf5messagelist-dev (>= 4:17.04.3~),
-               libkf5messageviewer-dev (>= 4:17.04.3~),
-               libkf5mimetreeparser-dev (>= 4:17.04.3~),
+               libkf5libkdepim-dev (>= 4:17.08.3~),
+               libkf5libkleo-dev (>= 4:17.08.3~),
+               libkf5messagecomposer-dev (>= 4:17.08.3~),
+               libkf5messagecore-dev (>= 4:17.08.3~),
+               libkf5messagelist-dev (>= 4:17.08.3~),
+               libkf5messageviewer-dev (>= 4:17.08.3~),
+               libkf5mimetreeparser-dev (>= 4:17.08.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.04.3~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5pimcommon-dev (>= 4:17.08.3~),
+               libkf5pimtextedit-dev (>= 17.08.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:17.04.3~),
+               libkf5templateparser-dev (>= 4:17.08.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:17.04.3~),
+               libkf5webengineviewer-dev (>= 4:17.08.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 17.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
-project(grantlee-editor)
+cmake_minimum_required(VERSION 3.1)
+set(KDEPIM_VERSION_NUMBER "5.7.2")
+project(grantlee-editor VERSION ${KDEPIM_VERSION_NUMBER})
 
-cmake_minimum_required(VERSION 3.1)
-set(KF5_VERSION "5.35.0")
-find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
+set(KF5_VERSION "5.39.0")
+
+find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
 
@@ -31,23 +33,21 @@
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-
-set(KDEPIM_VERSION_NUMBER "5.6.3")
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
-set(MESSAGELIB_LIB_VERSION_LIB "5.6.3")
-set(AKONADI_MIMELIB_VERSION "5.6.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.6.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.7.2")
+set(AKONADI_MIMELIB_VERSION "5.7.2")
+set(KPIMTEXTEDIT_LIB_VERSION "5.7.2")
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.6.3")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.6.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.6.3")
-set(QT_REQUIRED_VERSION "5.7.0")
-set(KIMAP_LIB_VERSION "5.6.3")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.7.2")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.7.2")
+set(LIBKLEO_LIB_VERSION_LIB "5.7.2")
+set(QT_REQUIRED_VERSION "5.8.0")
+set(KIMAP_LIB_VERSION "5.7.2")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
-set(PIMCOMMON_LIB_VERSION_LIB "5.6.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.7.2")
 # Find KF5 package
 find_package(KF5Crash ${KF5_VERSION} REQUIRED)
 find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
grantlee-editor (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:43:46 +0000

=== debian/control ===
--- 
+++ 
@@ -17,48 +17,48 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:17.08.3~),
-               libkf5akonadimime-dev (>= 4:17.08.3~),
-               libkf5akonadiserver-dev (>= 4:17.08.3~),
+               libkf5akonadi-dev (>= 4:17.12.2~),
+               libkf5akonadimime-dev (>= 4:17.12.2~),
+               libkf5akonadiserver-dev (>= 4:17.12.2~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.08.3~),
+               libkf5contacteditor-dev (>= 4:17.12.2~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 17.08.3~),
+               libkf5grantleetheme-dev (>= 17.12.2~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kaddressbookgrantlee-dev (>= 4:17.08.3~),
+               libkf5kaddressbookgrantlee-dev (>= 4:17.12.2~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.08.3~),
-               libkf5libkleo-dev (>= 4:17.08.3~),
-               libkf5messagecomposer-dev (>= 4:17.08.3~),
-               libkf5messagecore-dev (>= 4:17.08.3~),
-               libkf5messagelist-dev (>= 4:17.08.3~),
-               libkf5messageviewer-dev (>= 4:17.08.3~),
-               libkf5mimetreeparser-dev (>= 4:17.08.3~),
+               libkf5libkdepim-dev (>= 4:17.12.2~),
+               libkf5libkleo-dev (>= 4:17.12.2~),
+               libkf5messagecomposer-dev (>= 4:17.12.2~),
+               libkf5messagecore-dev (>= 4:17.12.2~),
+               libkf5messagelist-dev (>= 4:17.12.2~),
+               libkf5messageviewer-dev (>= 4:17.12.2~),
+               libkf5mimetreeparser-dev (>= 4:17.12.2~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.08.3~),
-               libkf5pimtextedit-dev (>= 17.08.3~),
+               libkf5pimcommon-dev (>= 4:17.12.2~),
+               libkf5pimtextedit-dev (>= 17.12.2~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:17.08.3~),
+               libkf5templateparser-dev (>= 4:17.12.2~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:17.08.3~),
+               libkf5webengineviewer-dev (>= 4:17.12.2~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## grantlee-editor 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.1)
-set(KDEPIM_VERSION_NUMBER "5.7.2")
+set(KDEPIM_VERSION_NUMBER "5.7.3")
 project(grantlee-editor VERSION ${KDEPIM_VERSION_NUMBER})
 
 set(KF5_VERSION "5.39.0")
@@ -35,19 +35,19 @@
 
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
-set(MESSAGELIB_LIB_VERSION_LIB "5.7.2")
-set(AKONADI_MIMELIB_VERSION "5.7.2")
-set(KPIMTEXTEDIT_LIB_VERSION "5.7.2")
+set(MESSAGELIB_LIB_VERSION_LIB "5.7.3")
+set(AKONADI_MIMELIB_VERSION "5.7.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.7.2")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.7.2")
-set(LIBKLEO_LIB_VERSION_LIB "5.7.2")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.7.3")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.7.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.7.3")
 set(QT_REQUIRED_VERSION "5.8.0")
-set(KIMAP_LIB_VERSION "5.7.2")
+set(KIMAP_LIB_VERSION "5.7.3")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
-set(PIMCOMMON_LIB_VERSION_LIB "5.7.2")
+set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")
 # Find KF5 package
 find_package(KF5Crash ${KF5_VERSION} REQUIRED)
 find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)

=== contactprintthemeeditor/CMakeLists.txt ===
set(contactprintthemeeditor_SRCS
    main.cpp
    defaultcompletion.cpp
    editorpage.cpp
    contactprintthemeconfiguredialog.cpp
    themedefaulttemplate.cpp
    themeeditormainwindow.cpp
    themeeditorpage.cpp
    contactprintthemeeditorutil.cpp
    themeeditorwidget.cpp
    themetemplatewidget.cpp
    contactprintthemepreview.cpp
    )

ecm_qt_declare_logging_category(contactprintthemeeditor_SRCS HEADER contactprintthemeeditor_debug.h IDENTIFIER CONTACTPRINTTHEMEEDITOR_LOG CATEGORY_NAME org.kde.pim.contactprintthemeeditor)
qt5_add_resources(contactprintthemeeditor_SRCS contactprintthemeeditor.qrc)

add_executable(contactprintthemeeditor ${contactprintthemeeditor_SRCS} )
target_link_libraries(contactprintthemeeditor
    Qt5::WebEngineWidgets
    KF5::DBusAddons
    KF5::NewStuff
    KF5::AkonadiContact
    KF5::PimCommon
    grantleethemeeditor
    KF5::KaddressbookGrantlee
    KF5::PimTextEdit
    KF5::I18n
    Qt5::WebEngineWidgets
    KF5::Crash
    )

install(TARGETS contactprintthemeeditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.contactprintthemeeditor.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== contactthemeeditor/CMakeLists.txt ===
set(contactthemeeditor_SRCS
    main.cpp
    defaultcompletion.cpp
    contactdefaulttemplate.cpp
    contacteditorwidget.cpp
    contacttemplatewidget.cpp
    contacteditormainwindow.cpp
    previewwidget.cpp
    editorpage.cpp
    contacteditorpage.cpp
    contactconfigurationdialog.cpp
    contacteditorutil.cpp
    contactpreviewwidget.cpp
    )
ecm_qt_declare_logging_category(contactthemeeditor_SRCS HEADER contactthemeeditor_debug.h IDENTIFIER CONTACTTHEMEEDITOR_LOG CATEGORY_NAME org.kde.pim.contactthemeeditor)
qt5_add_resources(contactthemeeditor_SRCS contactthemeeditor.qrc)

add_executable(contactthemeeditor ${contactthemeeditor_SRCS} )
target_link_libraries(contactthemeeditor
    PRIVATE
    KF5::DBusAddons
    KF5::NewStuff
    KF5::AkonadiContact
    KF5::PimCommon
    grantleethemeeditor
    KF5::KaddressbookGrantlee
    KF5::PimTextEdit
    KF5::I18n
    KF5::Crash
    )

install(TARGETS contactthemeeditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.contactthemeeditor.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
grantlee-editor (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:12 +0000

=== debian/control ===
--- 
+++ 
@@ -17,48 +17,48 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:17.12.2~),
-               libkf5akonadimime-dev (>= 4:17.12.2~),
-               libkf5akonadiserver-dev (>= 4:17.12.2~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5akonadiserver-dev (>= 4:17.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.2~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 17.12.2~),
+               libkf5grantleetheme-dev (>= 17.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kaddressbookgrantlee-dev (>= 4:17.12.2~),
+               libkf5kaddressbookgrantlee-dev (>= 4:17.12.3~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.12.2~),
-               libkf5libkleo-dev (>= 4:17.12.2~),
-               libkf5messagecomposer-dev (>= 4:17.12.2~),
-               libkf5messagecore-dev (>= 4:17.12.2~),
-               libkf5messagelist-dev (>= 4:17.12.2~),
-               libkf5messageviewer-dev (>= 4:17.12.2~),
-               libkf5mimetreeparser-dev (>= 4:17.12.2~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5libkleo-dev (>= 4:17.12.3~),
+               libkf5messagecomposer-dev (>= 4:17.12.3~),
+               libkf5messagecore-dev (>= 4:17.12.3~),
+               libkf5messagelist-dev (>= 4:17.12.3~),
+               libkf5messageviewer-dev (>= 4:17.12.3~),
+               libkf5mimetreeparser-dev (>= 4:17.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.12.2~),
-               libkf5pimtextedit-dev (>= 17.12.2~),
+               libkf5pimcommon-dev (>= 4:17.12.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:17.12.2~),
+               libkf5templateparser-dev (>= 4:17.12.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:17.12.2~),
+               libkf5webengineviewer-dev (>= 4:17.12.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/grantlee-editor-([\d.]+).tar.xz

## grantlee-editor 18.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.1)
-set(KDEPIM_VERSION_NUMBER "5.7.3")
+set(KDEPIM_VERSION_NUMBER "5.8.3")
 project(grantlee-editor VERSION ${KDEPIM_VERSION_NUMBER})
 
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.44.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -26,7 +26,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMCoverageOption)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -35,19 +35,20 @@
 
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
-set(MESSAGELIB_LIB_VERSION_LIB "5.7.3")
-set(AKONADI_MIMELIB_VERSION "5.7.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.7.3")
-set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.7.3")
-set(LIBKLEO_LIB_VERSION_LIB "5.7.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.8.3")
+
+set(AKONADI_MIMELIB_VERSION "5.8.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.8.3")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.8.3")
+set(LIBGRANTLEETHEME_LIB_VERSION_LIB "5.8.3")
+set(LIBKLEO_LIB_VERSION_LIB "5.8.3")
 set(QT_REQUIRED_VERSION "5.8.0")
-set(KIMAP_LIB_VERSION "5.7.3")
+set(KIMAP_LIB_VERSION "5.8.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.8.3")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets WebEngine WebEngineWidgets)
 
-set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")
 # Find KF5 package
 find_package(KF5Crash ${KF5_VERSION} REQUIRED)
 find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
grantlee-editor (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:52:54 +0100

=== debian/control ===
--- 
+++ 
@@ -17,48 +17,48 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgrantlee5-dev (>= 5.0.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadimime-dev (>= 4:17.12.3~),
-               libkf5akonadiserver-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadimime-dev (>= 4:18.04.3~),
+               libkf5akonadiserver-dev (>= 4:18.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 17.12.3~),
+               libkf5grantleetheme-dev (>= 18.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kaddressbookgrantlee-dev (>= 4:17.12.3~),
+               libkf5kaddressbookgrantlee-dev (>= 4:18.04.3~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.12.3~),
-               libkf5libkleo-dev (>= 4:17.12.3~),
-               libkf5messagecomposer-dev (>= 4:17.12.3~),
-               libkf5messagecore-dev (>= 4:17.12.3~),
-               libkf5messagelist-dev (>= 4:17.12.3~),
-               libkf5messageviewer-dev (>= 4:17.12.3~),
-               libkf5mimetreeparser-dev (>= 4:17.12.3~),
+               libkf5libkdepim-dev (>= 4:18.04.3~),
+               libkf5libkleo-dev (>= 4:18.04.3~),
+               libkf5messagecomposer-dev (>= 4:18.04.3~),
+               libkf5messagecore-dev (>= 4:18.04.3~),
+               libkf5messagelist-dev (>= 4:18.04.3~),
+               libkf5messageviewer-dev (>= 4:18.04.3~),
+               libkf5mimetreeparser-dev (>= 4:18.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.12.3~),
-               libkf5pimtextedit-dev (>= 17.12.3~),
+               libkf5pimcommon-dev (>= 4:18.04.3~),
+               libkf5pimtextedit-dev (>= 18.04.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:17.12.3~),
+               libkf5templateparser-dev (>= 4:18.04.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:17.12.3~),
+               libkf5webengineviewer-dev (>= 4:18.04.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
@@ -80,7 +80,7 @@
                qtwebengine5-dev (>= 5.6.1~),
                shared-mime-info,
                xsltproc,
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/grantlee-editor
